spring:
    profiles:
        active: locd
    cache:
        type: redis
    redis:
        lettuce:
            pool:
                max-active: 10
                max-idle: 10
                min-idle: 2
        host: localhost
        port: 6379
        password: 

logging:
    config: classpath:log/logback-locd.xml
    
domain:
    admin: //ldadmin.style24.com
    front: //ldfront.style24.com
    image: //ldimage.style24.com
    uximage: //ldadmin.style24.com

upload:
    dext.target.path: /WIDE/workspace/files/data/style24/dext
    default:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png|bmp|txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //ldimage.style24.com
    goods:
        target.path: /WIDE/workspace/files/data/style24/Upload/ProductImage
        max.size: 10
        allow.extension: jpg|gif|jpeg
        view: //image.istyle24.com/Upload/ProductImage
    image:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: jpg|gif|jpeg|png
        view: //ldimage.style24.com
    excel:
        target.path: /WIDE/workspace/files/data/style24
        max.size: 10
        allow.extension: xls|xlsx
        view: //ldimage.style24.com/excel
    sample:
        target.path: /WIDE/workspace/files/data/style24/sample
        max.size: 10
        allow.extension: txt|doc|docx|ppt|pptx|xls|xlsx|hwp|pdf
        view: //ldimage.style24.com/sample

download.path: /WIDE/workspace/files/data

# SMTP(naver의 본인 username과 password, from(메일주소) 입려 후 테스트 하면 됨)
mail:
    host: mail.wivis.com
    #    port: 465
    username: admin@wivis.com
    password: dnlqltm1!
    protocol: smtp
    #    tls: true
    auth: true
    from: admin@wivis.com
    wivis.url: https://ldfront.style24.com
    image.url: http://ldfront.style24.com/image/mailing
    template.path: /WIDE/workspace/webapps/style24/STYLE24/style24.admin/src/main/webapp/WEB-INF/mail

# ERP (한세드림)
erp:
   api:
       stock.url: http://erp.hansaemk.com:96/api/hsdr/Shop/GoodsInfo
       goods.url: http://erp.hansaemk.com:96/api/hsdr/Shop

# PG
pg:
    kcp:
        log.dir: /WIDE/workspace/files/data/style24/logs/front
        gw:
            url: testpaygw.kcp.co.kr
            port: 8090
        js.url: https://testpay.kcp.co.kr/plugin/payplus_web.jsp
        server: false
        site:
            cd: U3476
            key:
            name: ISTYLE TEST
        log.level: 3
        module.type: 01
        tx.mode: 0
        receipt.url : https://testadmin8.kcp.co.kr/assist/bill.BillActionNew.do

# 네이버페이 API
naverPay:
    apiUrl: https://dev.apis.naver.com/
    payUrl:
        web : test-pay.naver.com
        mob : test-m.pay.naver.com
